### Enumeration

# WebKit DownloadError

unstable since: 6.0

#### Declaration

    error-domain WebKit.DownloadError

#### Description [src]

Enum values used to denote the various download errors.

Available since: 6.0

#### Members

`WEBKIT_DOWNLOAD_ERROR_NETWORK`

  Download failure due to network error.

  - Value: `499`
  - Nickname: `network`
  - Available since: 6.0
`WEBKIT_DOWNLOAD_ERROR_CANCELLED_BY_USER`

  Download was cancelled by user.

  - Value: `400`
  - Nickname: `cancelled-by-user`
  - Available since: 6.0
`WEBKIT_DOWNLOAD_ERROR_DESTINATION`

  Download failure due to destination error.

  - Value: `401`
  - Nickname: `destination`
  - Available since: 6.0

#### Type functions

###### webkit_download_error_quark

Gets the quark for the domain of download errors.

unstable since: 6.0